Skip to main content
PUT
/
api
/
v1
/
conversation-config
/
bridges
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.conversationConfig.updateBridgePhrasesConfig({
    bridgePhrasesConfig: {},
  });

  console.log(result);
}

run();
import os
from syllable_sdk import SyllableSDK


with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:

res = ss_client.conversation_config.update_bridge_phrases_config(bridge_phrases_config={})

# Handle response
print(res)
curl --request PUT \
--url https://api.syllable.cloud/api/v1/conversation-config/bridges \
--header 'Content-Type: application/json' \
--header 'Syllable-API-Key: <api-key>' \
--data '
{
"messages": [
"<string>"
],
"randomize_messages": false,
"first_slow_messages": [
"<string>"
],
"very_slow_messages": [
"<string>"
],
"tool_responses": [
"<string>"
],
"localized": {},
"smart_turn_timeout_seconds": 15.125
}
'
const options = {
method: 'PUT',
headers: {'Syllable-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: ['<string>'],
randomize_messages: false,
first_slow_messages: ['<string>'],
very_slow_messages: ['<string>'],
tool_responses: ['<string>'],
localized: {},
smart_turn_timeout_seconds: 15.125
})
};

fetch('https://api.syllable.cloud/api/v1/conversation-config/bridges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "messages": [
    "<string>"
  ],
  "randomize_messages": false,
  "first_slow_messages": [
    "<string>"
  ],
  "very_slow_messages": [
    "<string>"
  ],
  "tool_responses": [
    "<string>"
  ],
  "localized": {},
  "smart_turn_timeout_seconds": 15.125
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Syllable-API-Key
string
header
required

Query Parameters

agent_id
integer | null

Agent ID to update config for

tool_name
string | null

Tool name to update config for

Body

application/json

Configuration for conversational bridge phrases.

Top-level fields are the default (English) phrases. The localized dict provides per-language overrides keyed by BCP-47 language tag.

messages
string[]

Unified ordered bridge phrases. If empty, legacy fields are used.

randomize_messages
boolean
default:false

When true, unified messages are played in randomized no-repeat cycles. Ignored when unified messages are disabled.

first_slow_messages
string[]

Messages to say when the agent is first delayed.

very_slow_messages
string[]

Messages to say when the agent is significantly delayed.

tool_responses
string[]

Messages to say when a tool call is in progress.

localized
Localized · object

Per-language overrides keyed by BCP-47 tag (e.g. "es-US").

smart_turn_timeout_seconds
number | null

Seconds of caller silence before injecting the first bridge phrase. Subsequent sleep intervals are 2x, 3x, 4x this base. When unset, the service-wide default applies.

Required range: 0.25 <= x <= 30

Response

Successful Response

Configuration for conversational bridge phrases.

Top-level fields are the default (English) phrases. The localized dict provides per-language overrides keyed by BCP-47 language tag.

messages
string[]

Unified ordered bridge phrases. If empty, legacy fields are used.

randomize_messages
boolean
default:false

When true, unified messages are played in randomized no-repeat cycles. Ignored when unified messages are disabled.

first_slow_messages
string[]

Messages to say when the agent is first delayed.

very_slow_messages
string[]

Messages to say when the agent is significantly delayed.

tool_responses
string[]

Messages to say when a tool call is in progress.

localized
Localized · object

Per-language overrides keyed by BCP-47 tag (e.g. "es-US").

smart_turn_timeout_seconds
number | null

Seconds of caller silence before injecting the first bridge phrase. Subsequent sleep intervals are 2x, 3x, 4x this base. When unset, the service-wide default applies.

Required range: 0.25 <= x <= 30